技术文章
当前位置:首页 > vue.js技术文章 > webstorm中vue语法的支持详解

webstorm中vue语法的支持知识点总结

  • 发布时间:
  • 作者:码农之家原创
  • 点击:134

这篇文章主要知识点是关于webstorm、vue、语法、webstorm添加*.vue文件支持 的内容,如果大家想对相关知识点有系统深入的学习,可以参阅以下电子书

Vue.js项目实战
Vue.js项目实战影印完整版
  • 类型:Vue大小:141 MB格式:PDF出版:人民邮电出版社作者:纪尧姆·周
立即下载

更多Vue相关的学习资源可以参阅 Vue电子书程序设计电子书 等栏目。

webstorm中vue语法的支持详解

俗话说,要想攻其玉,必先利其器。工作中老是在用angular开发,但慢慢会有vue的业务,所以需要学习学习vue。今天开始折腾vue,我是用webstorm开发前端的,当使用vue-cli创建好一个项目后,使用webstorm打开简直不能入目啊,倒是没有啥错误提示,倒是一大堆的各种编辑器警告,无奈,还得去搞好IDE对vue的支持啊。

前提

vue的官方文档上建议新手是先不要使用vue-cli,而是直接先用类似于JQuery一样的方式引入vue来学习。鉴于前面已经搞过了angular的cli,所以我还是直接从cli入手。

假定我们已经安装好了node和npm。

全局安装vue-cli

在终端中运行命令:

npm install --global vue-cli

全局安装vue-cli。然后使用vue-cli创建我们的项目:

vue init webpack my-project

这样我们就有个完整的项目,并且里面会有个示例的组件,运行:

npm run dev

然后在浏览器里面访问http://localhost:8081/就可以看到项目的运行情况。

折腾webstorm

在webstorm打开vue项目的时候,差点就想放弃vue了,实在不忍直视,但还是得发扬一贯的探索精神啊,遇到问题就要解决呗!

.vue类型的文件

首先得从文件类型上入手,在目前的版本中是没有.vue这种文件类型的,所以无法识别也无法高亮,就算识别了也都是乱的。查了下,有些说是在文件类型上加上*.vue就好了,但我加了反而更乱套了。

谷歌了半天,发现了这篇文章,是webstorm官方网站的文章https://www.jetbrains.com/help/webstorm/vue-js.html。webstorm已经支持vue了,但是我在本地的webstorm完全没找到这个选项啊,这是为啥?

看了下,发现webstorm的版本是2018版的,而我的webstorm是2017.2。所以我需要更新到最新版。

得,备份下webstorm的设置,然后下载最新的webstorm然后更新。顺便找了个激活码:http://hb5.s.osidea.cc:1017(热乎的,亲测可用)。

果然安装后,发现了vue的标记,的确新版的是支持的。

但是发现.vue的文件的高亮还是没有的。看来还是得加个文件支持(不知道是不是我前面操作的时候删除了):

preferences > editor > file types

拉下来选择vue.js templates,点击然后在下面的registered patterns里面点击加号,然后输入*.vue,然后点击确定,点击apply应用,然后可以看到webstorm底下有个进度条,走满后,.vue的高亮就正常了。

unused export default

在vue的组件里面的js中有个export default,上面是灰色的提醒,鼠标移上去后发现提示unused export default,这是因为没有具体的使用这个导出,是JavaScript的一个语法提示。我们可以在IDE的configure inspection检查配置中进行配置。

快速的方法是:点击右下角的小人头 》 configure inspection。在弹出的界面中选择:JavaScript 》 General。去掉选项:unused global symbol。然后点击ok,可以看到灰色的提醒消失了。

以上就是本文的全部内容,希望对大家的学习有所帮助,也希望大家多多支持码农之家。

webstorm添加*.vue文件支持

这篇文章写了有1年多了,发现这篇文章关注的人不少。现在Webstorm要支持vue已经有了更方便的方式。避免误导,还是来更新下。

方法1:安装 Vue.js 插件

打开 Settings->Plugins 搜索安装

css预处理器支持

在我写这文章的时间,还没有支持预处理的方案,不过现在已经很简单了。

给 style 标签加上 rel=”stylesheet/scss” 属性即可支持 scss 语法,看规则可以改成 less stylus 之类的。

<style rel="stylesheet/scss" lang="sass" scoped>
</style>

方法2:Webstorm EAP 版已经原生支持vue文件

看这里 https://blog.jetbrains.com/webstorm/2017/02/webstorm-2017-1-eap-171-2822/ EAP版可能不太稳定,不过也能用。
或者等过段时间发布的 Webstorm 2017.1 稳定版。

不得不说vue真是越用越厉害了啊,Webstorm也开始支持了。最后 原生支持才是最好的

以下内容过时,针对旧版本的Webstorm

webstorm是前端开发神器,但我一直都不喜欢webstorm,就因为那很挫的配色和那大光标。

上阵子开始玩 Vuejs,在 Vue 中,可以 .vue 文件实现组件化,但各种编辑器都支持不好,作者也给sublime开发了相关的vue插件。我觉得用sublime就是在浪费生命啊,花那么多时间来装插件配环境,我选择IDE!

坚持用sublime写了一个月的vue,没有智能提示(而对重度依赖提示),不能对代码进行格式化,手动调缩进,尼玛,能坚持这么久也不容易。所以折腾了下webstorm看怎么支持,所以就有这篇笔记。

vue支持

打开 Settings => File Types 找到 HTML 添加 *.vue

webstorm添加*.vue文件支持

这样vue文件就相当于html文件,可以编辑css,js,也都有智能提示。

我一般用的是 es6 ,所以vue写es6的代码,webstorm还是会报错。

vue里ES6支持

将script标签添加 type=”es6” 属性

<script type="es6">
</script>

然后打开 Settings => Language Injections 添加 XML Tag Injection,内容如下图。

webstorm添加*.vue文件支持

*.js 支持ES6

webstorm默认js文件是ES5语法

打开 Settings => Languages & Frameworks => Javascript

把 Javascript Language version 改为 ECMAScript 6

webstorm添加*.vue文件支持

PS:要在vue文件里写sass,stylus之类的css预处理,webstorm就不支持了,我也尝试了添加 Injection ,代码高亮正常,但却是临时的,只要一改动代码,又会划很多红线了,经过google,这似乎是webstorm的一个已知的Bug。

以上就是本文的全部内容,希望对大家的学习有所帮助,也希望大家多多支持码农之家。

以上就是本次给大家分享的关于Vue的全部知识点内容总结,大家还可以在下方相关文章里找到Vue2.0利用 v-model 实现组件、 vue-cli开发时ajax跨域的方法、 elementUI table表格动态合并、 等vue.js文章进一步学习,感谢大家的阅读和支持。

上一篇:没有了

下一篇:elementUI table表格动态合并实例

展开 +

收起 -

vue语法 相关电子书
学习笔记
网友NO.140308

webstorm添加*.vue文件支持

这篇文章写了有1年多了,发现这篇文章关注的人不少。现在Webstorm要支持vue已经有了更方便的方式。避免误导,还是来更新下。 方法1:安装 Vue.js 插件 打开 Settings-Plugins 搜索安装 css预处理器支持 在我写这文章的时间,还没有支持预处理的方案,不过现在已经很简单了。 给 style 标签加上 rel=”stylesheet/scss” 属性即可支持 scss 语法,看规则可以改成 less stylus 之类的。 style rel="stylesheet/scss" lang="sass" scoped/style 方法2:Webstorm EAP 版已经原生支持vue文件 看这里 https://blog.jetbrains.com/webstorm/2017/02/webstorm-2017-1-eap-171-2822/ EAP版可能不太稳定,不过也能用。 或者等过段时间发布的 Webstorm 2017.1 稳定版。 不得不说vue真是越用越厉害了啊,Webstorm也开始支持了。最后 原生支持才是最好的 以下内容过时,针对旧版本的Webstorm webstorm是前端开发神器,但我一直都不喜欢we……

网友NO.588239

webstorm+vue初始化项目的方法

vue新项目准备: 1、安装nodejs,官网下载傻瓜安装 node -v 验证 2、npm包管理器,是集成在node中的,所以安装了node也就有了npm npm -v 验证 3、安装cnpm npm install -g cnpm --registry=http://registry.npm.taobao.org (完成之后,我们就可以用cnpm代替npm来安装依赖包了。如果想进一步了解cnpm的,查看淘宝npm镜像官网。) 4、安装vue-cli脚手架构建工具 npm install -g vue-cli vue新项目构建: 1、初始化项目模板: vue init webpack-simple yunshi-approve 或者 vue init webpack yunshi-approve 2、安装npm cd yunshi-approve 3、安装项目所需要的依赖: npm install 或 cnpm install 4、运行看效果: npm run dev 介绍一下目录及其作用: build: 最终发布的代码的存放位置。 config: 配置路径、端口号等一些信息,我们刚开始学习的时候选择默认配置。 node_modules: npm 加载的项目依赖模块。 src: 这里是我们开发的主要目录,……

网友NO.365941

webstorm添加vue.js支持的方法教程

前言 WebStorm是一款强大的前端开发软件,vue是当前前端热门技术栈。对于WebStorm默认的配置,它会把vue当成文本文件处理,从而无法进行很多智能的编辑。 本人使用的是webstorm2016 2.3版本,结果竟然不支持vue文件,于是经过查找找到了一个方法,亲测可用,非常简单哦。 方法如下: 总结 以上就是这篇文章的全部内容了,希望本文的内容对大家的学习或者工作能带来一定的帮助,如果有疑问大家可以留言交流,谢谢大家对码农之家的支持。 ……

网友NO.963256

vue: WebStorm设置快速编译运行的方法

WebSorm是一款优秀的前端开发工具,而Vue项目可以使用Node进行编译运行,平常我们可以通过命令行部署项目进行调试。 本文介绍设置Webstorm进行快速部署Vue项目。 第一步 点击启动快捷按钮旁边的向下小箭头,在列表中选择Edit选项: 第二步 打开启动设置页面后,点击左上角的加号添加新的运行方式: 第三步 在弹出的选择框中,选择node.js启动模式: 第四步 在新打开的设置页面中,在红色圈中的地方设置如图路径的文件: 至此设置成功,直接点启动按钮就可以部署项目。 以上这篇vue: WebStorm设置快速编译运行的方法就是小编分享给大家的全部内容了,希望能给大家一个参考,也希望大家多多支持码农之家。 ……

Copyright 2018-2020 xz577.com 码农之家

电子书资源由网友、会员提供上传,本站记录提供者的基本信息及资源来路

鸣谢: “ 码小辫 ” 公众号提供回调API服务、“ 脚本CDN ”提供网站加速(本站寻求更多赞助支持)

版权投诉 / 书籍推广 / 赞助:520161757@qq.com

上传资源(网友、会员均可提供)

查看最新会员资料及资源信息